
#include "BacEventTransition.h"

BacEventTransition::BacEventTransition(QWidget *parent, int db_id, int PropId, QString label, QGridLayout *layout, int row, int col)
  : BitString(parent, db_id, PropId, label, layout, row, col) {
  addChecks();
}

BacEventTransition::BacEventTransition(QWidget *parent, int db_id, int PropId, int value, QString label, QGridLayout *layout, int row, int col)
  : BitString(parent, db_id, PropId, value, label, layout, row, col) {
  addChecks();
}

void BacEventTransition::addChecks() {
  height = 3;

  addCheck(tr("To Off-Normal"), 0);
  addCheck(tr("To Fault"), 1);
  addCheck(tr("To Normal"), 2);
}

